package main.java.datamodel;

import org.gedcom4j.model.Individual;

import java.util.List;
import java.util.Map;

/**
 * Container Class used to transport the converted GedCom file
 */
public class ConverterObject {

    /**
     * stores all the persons of a gedcom file
     */
    Map<Individual,Person> persons;
    /**
     * stores all the relationships of a gedcom file
     */
    List<Relationship> relationship;

    /**
     * used to create a converterobject
     * @param persons the person list
     * @param relationship the relationship list
     */
    public ConverterObject(Map<Individual, Person> persons, List<Relationship> relationship) {
        this.persons = persons;
        this.relationship = relationship;
    }


    public Map<Individual, Person> getPersons() {
        return persons;
    }

    public List<Relationship> getRelationship() {
        return relationship;
    }

}
