package main.java.datamodel;

import java.util.Date;

/**
 * Created by lukaskobler on 25.04.18.
 */
public class Relationship {

    private Person person1;
    private Person person2;
    private Person person3;             // in case of birth, this will be the father, else null.

    private boolean approximateDate;

    private RelationshipType  type;
    private Date start;

    public Relationship() {
    }

    public Relationship(Person person1, Person person2) {
        this.person1 = person1;
        this.person2 = person2;

        this.person1.addRelationship(this);
        this.person2.addRelationship(this);
    }
    public Relationship(Person person1, Person person2, RelationshipType type, Date start) {
        this(person1,person2);
        this.type = type;
        this.start = start;
    }

    public Relationship(Person mother, Person child, Person father) {
        this(mother,child);
        this.person3 = father;
        this.person3.addRelationship(this);

    }


    public boolean isApproximateDate() {
        return approximateDate;
    }

    public void setApproximateDate(boolean approximateDate) {
        this.approximateDate = approximateDate;
    }






    public Person getPerson1() {
        return person1;
    }

    public void setPerson1(Person person1) {
        this.person1 = person1;
    }



    public Person getPerson2() {
        return person2;
    }

    public void setPerson2(Person person2) {
        this.person2 = person2;
    }



    public Person getPerson3() {
        return person3;
    }

    public void setPerson3(Person person3) {
        this.person3 = person3;
    }



    public RelationshipType getType() {
        return type;
    }

    public void setType(RelationshipType type) {
        this.type = type;
    }



    public Date getStart() {
        return start;
    }

    public void setStart(Date start) {
        this.start = start;
    }




    @Override
    public String toString(){
        return "Relationship{" +
                "person1=" + person1 +
                ", person2=" + person2 +
                ", person3=" + person3 +
                ", type=" + type +
                ", start=" + start +
                ", approximateDate=" + approximateDate +
                '}';
    }
}
