package main.java.shape.abs;

/**
 * Interface that represents shapes which should be draggable by the user in x and y direction on the border pane.
 */
public interface DraggableShape {
    /**
     * If this method is called, the shape will be dragged xDiff pixels in x direction.
     * @param xDiff the difference of the drag in x direction.
     */
    void dragX(double xDiff);
    /**
     * If this method is called, the shape will be dragged yDiff pixels in y direction.
     * @param yDiff the difference of the drag in y direction.
     */
    void dragY(double yDiff);
}
